package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_C_MATERIAL. Se usa para el manejo de las operaciones BD. 
 */
public class MaterialDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_MATERIAL;
	private String CODIGO_SAP;
	private String DESC_MATERIAL;
	private String UNIDAD_MEDIDA;
	private String CODIGO_ISO_MEDIDA;
	private String MATERIAL_ANTIGUO;

	public String getID_MATERIAL() {
		return ID_MATERIAL;
	}

	public void setID_MATERIAL(String iD_MATERIAL) {
		ID_MATERIAL = iD_MATERIAL;
	}

	public String getCODIGO_SAP() {
		return CODIGO_SAP;
	}

	public void setCODIGO_SAP(String cODIGO_SAP) {
		CODIGO_SAP = cODIGO_SAP;
	}

	public String getDESC_MATERIAL() {
		return DESC_MATERIAL;
	}

	public void setDESC_MATERIAL(String dESC_MATERIAL) {
		DESC_MATERIAL = dESC_MATERIAL;
	}

	public String getUNIDAD_MEDIDA() {
		return UNIDAD_MEDIDA;
	}

	public void setUNIDAD_MEDIDA(String uNIDAD_MEDIDA) {
		UNIDAD_MEDIDA = uNIDAD_MEDIDA;
	}

	public String getCODIGO_ISO_MEDIDA() {
		return CODIGO_ISO_MEDIDA;
	}

	public void setCODIGO_ISO_MEDIDA(String cODIGO_ISO_MEDIDA) {
		CODIGO_ISO_MEDIDA = cODIGO_ISO_MEDIDA;
	}

	public String getMATERIAL_ANTIGUO() {
		return MATERIAL_ANTIGUO;
	}

	public void setMATERIAL_ANTIGUO(String mATERIAL_ANTIGUO) {
		MATERIAL_ANTIGUO = mATERIAL_ANTIGUO;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_MATERIAL: _" + this.getID_MATERIAL() + "_" + NEW_LINE);
		result.append(" CODIGO_SAP: _" + this.getCODIGO_SAP() + "_" + NEW_LINE);
		result.append(" DESC_MATERIAL: _" + this.getDESC_MATERIAL() + "_" + NEW_LINE);
		result.append(" UNIDAD_MEDIDA: _" + this.getUNIDAD_MEDIDA() + "_" + NEW_LINE);
		result.append(" CODIGO_ISO_MEDIDA: _" + this.getCODIGO_ISO_MEDIDA() + "_" + NEW_LINE);
		result.append(" MATERIAL_ANTIGUO: _" + this.getMATERIAL_ANTIGUO() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}


}
